<div class="p-2">
  <p-breadcrumb [home]="{ icon: 'pi pi-home', label: ' Usuarios', routerLink: '../../' }"
    [model]="[{ icon: 'pi pi-book', label: ' Edición', routerLink: './' }]">
  </p-breadcrumb>
</div>
<div class="card p-3">
  <form>
    <div class="form-row">
      <div class="col-6 relative">
        <label for="">Usuario:</label>
        <input type="text" class="form-control" autocomplete="off" placeholder="Escriba el nombre del usuario"
          name="Username" id="Username" [(ngModel)]="userModel.nombre" [ngClass]="{'invalid': requerid.username }">
      </div>
      <div class="col-4 relative">
        <label for="">Correo:</label>
        <input type="text" class="form-control" autocomplete="off" placeholder="Escriba el correo" name="correo"
          id="correo" [(ngModel)]="userModel.correo" [ngClass]="{'invalid': requerid.correo }">
      </div>
      <div class="col-2 relative">
        <br>
        <br>
        @scjn.gob.mx
      </div>
    </div>
    <div class="form-row">
      <div class="col-6">
        <label for="">Número de asuntos asignados en módulo Versiones taquigráficas:
          {{asuntosTaquigraficas.length}}
        </label>
        <div class="list p-3">
          <div class="list-item-rubro" *ngFor="let asunto of asuntosTaquigraficas; let i = index;">
            <p *ngIf="asunto.tipoAsunto" class="item-rubro">
              {{(i+1) + '. ' + asunto.tipoAsunto + ' '+ asunto.numExpediente}}</p>
          </div>
        </div>
      </div>
      <div class="col-6">
        <label for="">Número de asuntos asignados en módulo Sentencias: {{asuntosSentencias.length}}
        </label>
        <div class="list p-3">
          <div class="list-item-rubro" *ngFor="let asunto of asuntosSentencias; let i = index;">
            <p *ngIf="asunto.tipoAsunto" class="item-asunto ">
              {{(i+1) + '. ' + asunto.tipoAsunto + ' '+ asunto.numExpediente}}</p>
          </div>
        </div>
      </div>
    </div>
    <br>
    <br>
    <div class="form-row">
      <div class="col-11">
        <p>¿Tiene permisos para ver, editar y borrar todas las sentencias de cualquier usuario?</p>
      </div>
      <div class="col-1">
        <p-inputSwitch name="permisos" id="permisos" [(ngModel)]="permisos['superadmin']"
          (onChange)="permisos['superadmin'] = $event.checked">
        </p-inputSwitch>
      </div>
    </div>
    <div class="form-row">
      <br>
      <div class="col-11">
        <p>Puede editar número de votos realizados</p>
      </div>
      <div class="col-1 right">
        <p-inputSwitch name="editarVotos" id="editarVotos" [(ngModel)]="permisos['restricted']"
          (onChange)="permisos['restricted'] = $event.checked">
        </p-inputSwitch>
      </div>
    </div>
    <div class="form-row">
      <br>
      <div class="col-11">
        <p>Asignación de asuntos</p>
      </div>
      <div class="col-1">
        <p-inputSwitch name="consideracion" id="consideracion" value="" [(ngModel)]="permisos['asignacion']"
          (onChange)="permisos['asignacion'] = $event.checked">
        </p-inputSwitch>
      </div>
    </div>
    <div class="form-row">
      <br>
      <div class="col-12 relative">
        <label for="">Módulos de acceso:</label>
        <ng-multiselect-dropdown [ngModelOptions]="{standalone: true}"
          placeholder="Seleccione las vistas a permitir al usuario" [settings]="configDropdown" [data]="views"
          [(ngModel)]="userViews" (onSelect)="addModuleAccess($event)"
          (onDeSelect)="userViews.splice(this.userViews.indexOf($event),1);modulos.splice(this.modulos.indexOf($event.info),1)">
        </ng-multiselect-dropdown>
      </div>
    </div>
    <br>
    <br>
    <div class="form-row">
      <p class="col-12">
        Vistas de acceso:
      </p>
      <div class="col-12 row m-0">
        <div class="col-6 order-1" *ngIf="modulos.includes(modules.normativa)">
          <span class="etiq">Diversa Normativa</span>
          <div class="campos-list">
            <div class="campos">
              <div class="row m-0">
                <div class="col-12 text-center"><span class="title-table">Permisos por campo</span></div>
              </div>
              <hr class="m-0">
              <div class="row">
                <div class="col-8 pl-3"><span class="ml-3">Nombre del campo</span></div>
                <div class="col-4 text-center">Permiso</div>
              </div>
              <hr class="mt-0">
              <div class="row m-0">
                <div class="col-8"><span> Fecha de aprobación </span></div>
                <div class="col-4 text-center">
                  <p-inputSwitch name="fechaAprobacion" id="fechaAprobacion"
                    [(ngModel)]="viewModulos[modules.normativa].fechaAprobacion">
                  </p-inputSwitch>
                </div>
              </div>
              <div class="row m-0">
                <div class="col-8"><span> Ámbito en el que incide </span></div>
                <div class="col-4 text-center">
                  <p-inputSwitch name="ambitoIncide" id="ambitoIncide"
                    [(ngModel)]="!viewModulos[modules.normativa].ambitoIncide"
                    (onChange)="viewModulos[modules.normativa].ambitoIncide=$event.checked">
                  </p-inputSwitch>
                </div>
              </div>
              <div class="row m-0">
                <div class="col-8"><span> Tipo de instrumento </span></div>
                <div class="col-4 text-center">
                  <p-inputSwitch name="tipoInstrumento" id="tipoInstrumento"
                    [(ngModel)]="!viewModulos[modules.normativa].tipoInstrumento"
                    (onChange)="viewModulos[modules.normativa].tipoInstrumento=$event.checked">
                  </p-inputSwitch>
                </div>
              </div>
              <div class="row m-0">
                <div class="col-8"><span> Tipo de circular </span></div>
                <div class="col-4 text-center">
                  <p-inputSwitch name="tipoCircular" id="tipoCircular"
                    [(ngModel)]="!viewModulos[modules.normativa].tipoCircular"
                    (onChange)="viewModulos[modules.normativa].tipoCircular=$event.checked">
                  </p-inputSwitch>
                </div>
              </div>
              <div class="row m-0 ">
                <div class="col-8"><span> Ministro Presidente en la fecha de su emisión </span>
                </div>
                <div class="col-4 text-center">
                  <p-inputSwitch name="ministroPresidente" id="ministroPresidente"
                    [(ngModel)]="!viewModulos[modules.normativa].ministroPresidente"
                    (onChange)="viewModulos[modules.normativa].ministroPresidente=$event.checked">
                  </p-inputSwitch>
                </div>
              </div>
              <div class="row m-0">
                <div class="col-8"><span> Clasificación por materia de regulación </span></div>
                <div class="col-4 text-center">
                  <p-inputSwitch name="materiaRegulacion" id="materiaRegulacion"
                    [(ngModel)]="!viewModulos[modules.normativa].materiaregulacion"
                    (onChange)="viewModulos[modules.normativa].materiaregulacion=$event.checked">
                  </p-inputSwitch>
                </div>
              </div>
              <div class="row m-0">
                <div class="col-8"><span> Temas específicos de regulación </span></div>
                <div class="col-4 text-center">
                  <p-inputSwitch name="temasRegulacion" id="temasRegulacion"
                    [(ngModel)]="!viewModulos[modules.normativa].temasRegulacion"
                    (onChange)="viewModulos[modules.normativa].temasRegulacion=$event.checked">
                  </p-inputSwitch>
                </div>
              </div>
            </div>
            <hr>
            <div class="row m-0">
              <div class="col-8">Solo visualizar campos</div>
              <div class="col-4 text-center">
                <p-inputSwitch name="readOnly" id="readOnly" [(ngModel)]="viewModulos[modules.normativa].readOnly"
                  (onChange)="viewModulos[modules.normativa].readOnly=$event.checked">
                </p-inputSwitch>
              </div>
            </div>
          </div>
        </div>
        <div class="col-6 order-2" *ngIf="modulos.includes(modules.votos)">
          <span class="etiq">Votos</span>
          <div class="campos-list">
            <div class="campos">
              <div class="row m-0">
                <div class="col-12 text-center"><span class="title-table">Permisos por campo</span></div>
              </div>
              <hr class="m-0">
              <div class="row">
                <div class="col-8 pl-3"><span class="ml-3">Nombre del campo</span></div>
                <div class="col-4 text-center">Permiso</div>
              </div>
              <hr class="mt-0">
              <div class="row m-0">
                <div class="col-8"><span> Tipo de asunto </span></div>
                <div class="col-4 text-center">
                  <p-inputSwitch name="tipoAsunto" id="tipoAsunto" [(ngModel)]="!viewModulos[modules.votos].tipoAsunto"
                    (onChange)="viewModulos[modules.votos].tipoAsunto=$event.checked">
                  </p-inputSwitch>
                </div>
              </div>
              <div class="row m-0">
                <div class="col-8"><span> Número de expediente </span></div>
                <div class="col-4 text-center">
                  <p-inputSwitch name="numeroExpediente" id="numeroExpediente"
                    [(ngModel)]="!viewModulos[modules.votos].numeroExpediente"
                    (onChange)="viewModulos[modules.votos].numeroExpediente=$event.checked">
                  </p-inputSwitch>
                </div>
              </div>
              <div class="row m-0">
                <div class="col-8"><span> Tipo de voto </span></div>
                <div class="col-4 text-center">
                  <p-inputSwitch name="tipoVoto" id="tipoVoto" [(ngModel)]="!viewModulos[modules.votos].tipoVoto"
                    (onChange)="viewModulos[modules.votos].tipoVoto=$event.checked">
                  </p-inputSwitch>
                </div>
              </div>
              <div class="row m-0">
                <div class="col-8"><span> Fecha de resolución </span></div>
                <div class="col-4 text-center">
                  <p-inputSwitch name="fechaResolucion" id="fechaResolucion"
                    [(ngModel)]="!viewModulos[modules.votos].fechaResolucion"
                    (onChange)="viewModulos[modules.votos].fechaResolucion=$event.checked">
                  </p-inputSwitch>
                </div>
              </div>
              <div class="row m-0">
                <div class="col-8"><span> Ministra(o) que elabora(n) el voto </span></div>
                <div class="col-4 text-center">
                  <p-inputSwitch name="ministraoElabora" id="ministraoElabora"
                    [(ngModel)]="!viewModulos[modules.votos].ministraoElabora"
                    (onChange)="viewModulos[modules.votos].ministraoElabora=$event.checked">
                  </p-inputSwitch>
                </div>
              </div>
              <div class="row m-0">
                <div class="col-8"><span> Tipo de tema(s) que se aborda(n) sobre el que se
                    plantea el voto </span></div>
                <div class="col-4 text-center">
                  <p-inputSwitch name="temaAborda" id="temaAborda" [(ngModel)]="!viewModulos[modules.votos].temaAborda"
                    (onChange)="viewModulos[modules.votos].temaAborda=$event.checked">
                  </p-inputSwitch>
                </div>
              </div>
              <div class="row m-0">
                <div class="col-8"><span> Tipo de tema procesal sobre el que se plantea el voto
                  </span></div>
                <div class="col-4 text-center">
                  <p-inputSwitch name="tipoTemaProcesal" id="tipoTemaProcesal"
                    [(ngModel)]="!viewModulos[modules.votos].tipoTemaProcesal"
                    (onChange)="viewModulos[modules.votos].tipoTemaProcesal=$event.checked">
                  </p-inputSwitch>
                </div>
              </div>
              <div class="row m-0">
                <div class="col-8"><span> Metodología de análisis de constitucionalidad propuesta
                    en el voto </span></div>
                <div class="col-4 text-center">
                  <p-inputSwitch name="metodologia" id="metodologia"
                    [(ngModel)]="!viewModulos[modules.votos].metodologia"
                    (onChange)="viewModulos[modules.votos].metodologia=$event.checked">
                  </p-inputSwitch>
                </div>
              </div>

            </div>
            <hr>
            <div class="row m-0">
              <div class="col-8">Solo visualizar campos</div>
              <div class="col-4 text-center">
                <p-inputSwitch name="readOnly" id="readOnly" [(ngModel)]="viewModulos[modules.votos].readOnly"
                  (onChange)="viewModulos[modules.votos].readOnly=$event.checked">
                </p-inputSwitch>
              </div>
            </div>
          </div>
        </div>
        <div class="col-6 order-3" *ngIf="modulos.includes(modules.taquigraficas)">
          <span class="etiq">Versiones Taquigráficas</span>
          <div class="campos-list">
            <div class="campos">
              <div class="row m-0">
                <div class="col-12 text-center"><span class="title-table">Permisos por campo</span></div>
              </div>
              <hr class="m-0">
              <div class="row">
                <div class="col-8 pl-3"><span class="ml-3">Nombre del campo</span></div>
                <div class="col-4 text-center">Permiso</div>
              </div>
              <hr class="mt-0">
              <div class="row m-0">
                <div class="col-8"><span> Fecha de la sesión </span></div>
                <div class="col-4 text-center">
                  <p-inputSwitch name="fechaSesion" id="fechaSesion"
                    [(ngModel)]="!viewModulos[modules.taquigraficas].fechaSesion"
                    (onChange)="viewModulos[modules.taquigraficas].tipoInstrumento=$event.checked">
                  </p-inputSwitch>
                </div>
              </div>
              <div class="row m-0">
                <div class="col-8"><span> Duración de la sesión </span></div>
                <div class="col-4 text-center">
                  <p-inputSwitch name="duracionSesion" id="duracionSesion"
                    [(ngModel)]="!viewModulos[modules.taquigraficas].duracionSesion"
                    (onChange)="viewModulos[modules.taquigraficas].duracionSesion=$event.checked">
                  </p-inputSwitch>
                </div>
              </div>
              <div class="row m-0">
                <div class="col-8"><span> Número de Ministras y de Ministros que participaron en
                    la sesión </span></div>
                <div class="col-4 text-center">
                  <p-inputSwitch name="MinistrasMinistrosParticiparon" id="MinistrasMinistrosParticiparon"
                    [(ngModel)]="!viewModulos[modules.taquigraficas].numeroMinistrasMinistrosParticiparonEnSesion"
                    (onChange)="viewModulos[modules.taquigraficas].numeroMinistrasMinistrosParticiparonEnSesion=$event.checked">
                  </p-inputSwitch>
                </div>
              </div>
              <div class="row m-0">
                <div class="col-8"><span> Ministras y Ministros presentes en la sesión </span>
                </div>
                <div class="col-4 text-center">
                  <p-inputSwitch name="MinistrasMinistrosPresentes" id="MinistrasMinistrosPresentes"
                    [(ngModel)]="!viewModulos[modules.taquigraficas].nombreMinistrasMinistrosPresentesEnSesion"
                    (onChange)="viewModulos[modules.taquigraficas].nombreMinistrasMinistrosPresentesEnSesion=$event.checked">
                  </p-inputSwitch>
                </div>
              </div>
              <div class="row m-0">
                <div class="col-8"><span> Ministras y Ministros ausentes en la sesión </span>
                </div>
                <div class="col-4 text-center">
                  <p-inputSwitch name="MinistrasMinistrosAusentesEnSesion" id="MinistrasMinistrosAusentesEnSesion"
                    [(ngModel)]="!viewModulos[modules.taquigraficas].nombreMinistrasMinistrosAusentesEnSesion"
                    (onChange)="viewModulos[modules.taquigraficas].nombreMinistrasMinistrosAusentesEnSesion=$event.checked">
                  </p-inputSwitch>
                </div>
              </div>
              <div class="row m-0">
                <div class="col-8"><span> Asunto abordado </span></div>
                <div class="col-4 text-center">
                  <p-inputSwitch name="asuntoAbordado" id="asuntoAbordado"
                    [(ngModel)]="!viewModulos[modules.taquigraficas].asuntoAbordado"
                    (onChange)="viewModulos[modules.taquigraficas].asuntoAbordado=$event.checked">
                  </p-inputSwitch>
                </div>
              </div>
              <div class="row m-0">
                <div class="col-8"><span> Número de Expediente </span></div>
                <div class="col-4 text-center">
                  <p-inputSwitch name="numeroExpediente" id="numeroExpediente"
                    [(ngModel)]="!viewModulos[modules.taquigraficas].numeroExpediente"
                    (onChange)="viewModulos[modules.taquigraficas].numeroExpediente=$event.checked">
                  </p-inputSwitch>
                </div>
              </div>
              <div class="row m-0">
                <div class="col-8"><span> Temas procesales abordados </span></div>
                <div class="col-4 text-center">
                  <p-inputSwitch name="temasProcesales" id="temasProcesales"
                    [(ngModel)]="!viewModulos[modules.taquigraficas].temasProcesales"
                    (onChange)="viewModulos[modules.taquigraficas].temasProcesales=$event.checked">
                  </p-inputSwitch>
                </div>
              </div>
              <div class="row m-0">
                <div class="col-8"><span> Temas de fondo abordados </span></div>
                <div class="col-4 text-center">
                  <p-inputSwitch name="temasFondo" id="temasFondo"
                    [(ngModel)]="!viewModulos[modules.taquigraficas].temasFondo"
                    (onChange)="viewModulos[modules.taquigraficas].temasFondo=$event.checked">
                  </p-inputSwitch>
                </div>
              </div>
              <div class="row m-0">
                <div class="col-8"><span> Número de participaciones de cada Ministra o Ministro
                    por asunto visto en la sesión </span></div>
                <div class="col-4 text-center">
                  <p-inputSwitch name="numeroMinistrosParticiparonEnAsunto" id="numeroMinistrosParticiparonEnAsunto"
                    [(ngModel)]="!viewModulos[modules.taquigraficas].numeroMinistrosParticiparonEnAsunto"
                    (onChange)="viewModulos[modules.taquigraficas].numeroMinistrosParticiparonEnAsunto=$event.checked">
                  </p-inputSwitch>
                </div>
              </div>
              <div class="row m-0">
                <div class="col-8"><span> Presidente Decano </span></div>
                <div class="col-4 text-center">
                  <p-inputSwitch name="presidenteDecano" id="presidenteDecano"
                    [(ngModel)]="!viewModulos[modules.taquigraficas].hasPresidenteDecano"
                    (onChange)="viewModulos[modules.taquigraficas].hasPresidenteDecano=$event.checked">
                  </p-inputSwitch>
                </div>
              </div>
              <div class="row m-0">
                <div class="col-8"><span> Ponente </span></div>
                <div class="col-4 text-center">
                  <p-inputSwitch name="ponente" id="ponente" [(ngModel)]="!viewModulos[modules.taquigraficas].ponente"
                    (onChange)="viewModulos[modules.taquigraficas].ponente=$event.checked">
                  </p-inputSwitch>
                </div>
              </div>
            </div>

            <hr>
            <div class="row m-0">
              <div class="col-8">Solo visualizar campos</div>
              <div class="col-4 text-center">
                <p-inputSwitch name="readOnly" id="readOnly" [(ngModel)]="viewModulos[modules.taquigraficas].readOnly"
                  (onChange)="viewModulos[modules.taquigraficas].readOnly=$event.checked">
                </p-inputSwitch>
              </div>
            </div>
          </div>
        </div>
        <div class="col-6 order-4" *ngIf="modulos.includes(modules.acuerdos)">
          <span class="etiq">Acuerdos Generales</span>
          <div class="campos-list">
            <div class="campos">
              <div class="row m-0">
                <div class="col-12 text-center"><span class="title-table">Permisos por campo</span></div>
              </div>
              <hr class="m-0">
              <div class="row">
                <div class="col-8 pl-3"><span class="ml-3">Nombre del campo</span></div>
                <div class="col-4 text-center">Permiso</div>
              </div>
              <hr class="mt-0">
              <div class="row m-0">
                <div class="col-8"><span> Fecha de aprobación </span></div>
                <div class="col-4 text-center">
                  <p-inputSwitch name="fechaAprobacion" id="fechaAprobacion"
                    [(ngModel)]="!viewModulos[modules.acuerdos].fechaAprobacion"
                    (onChange)="viewModulos[modules.acuerdos].fechaAprobacion=$event.checked">
                  </p-inputSwitch>
                </div>
              </div>
              <div class="row m-0">
                <div class="col-8"><span> Ámbito en el que incide </span></div>
                <div class="col-4 text-center">
                  <p-inputSwitch name="ambitoIncide" id="ambitoIncide"
                    [(ngModel)]="!viewModulos[modules.acuerdos].ambitoIncide"
                    (onChange)="viewModulos[modules.acuerdos].ambitoIncide=$event.checked">
                  </p-inputSwitch>
                </div>
              </div>
              <div class="row m-0">
                <div class="col-8"><span> Vigencia </span></div>
                <div class="col-4 text-center">
                  <p-inputSwitch name="vigencia" id="vigencia" [(ngModel)]="!viewModulos[modules.acuerdos].vigencia"
                    (onChange)="viewModulos[modules.acuerdos].vigencia=$event.checked">
                  </p-inputSwitch>
                </div>
              </div>
              <div class="row m-0">
                <div class="col-8"><span> Fecha de publicación en el DOF </span></div>
                <div class="col-4 text-center">
                  <p-inputSwitch name="fechaDOF" id="fechaDOF" [(ngModel)]="!viewModulos[modules.acuerdos].fechaDOF"
                    (onChange)="viewModulos[modules.acuerdos].fechaDOF=$event.checked">
                  </p-inputSwitch>
                </div>
              </div>
              <div class="row m-0">
                <div class="col-8"><span> Clasificación por materia de regulación </span></div>
                <div class="col-4 text-center">
                  <p-inputSwitch name="clasificacionMateria" id="clasificacionMateria"
                    [(ngModel)]="!viewModulos[modules.acuerdos].clasificacionMateria"
                    (onChange)="viewModulos[modules.acuerdos].clasificacionMateria=$event.checked">
                  </p-inputSwitch>
                </div>
              </div>
              <div class="row m-0">
                <div class="col-8"><span> Temas especificos de regulación </span></div>
                <div class="col-4 text-center">
                  <p-inputSwitch name="temasRegulacion" id="temasRegulacion"
                    [(ngModel)]="!viewModulos[modules.acuerdos].temasRegulacion"
                    (onChange)="viewModulos[modules.acuerdos].temasRegulacion=$event.checked">
                  </p-inputSwitch>
                </div>
              </div>
              <div class="row m-0">
                <div class="col-8"><span> Órgano emisor </span></div>
                <div class="col-4 text-center">
                  <p-inputSwitch name="organoEmisor" id="organoEmisor"
                    [(ngModel)]="!viewModulos[modules.acuerdos].organoEmisor"
                    (onChange)="viewModulos[modules.acuerdos].organoEmisor=$event.checked">
                  </p-inputSwitch>
                </div>
              </div>
              <div class="row m-0">
                <div class="col-8"><span> Ministro Presidente en la fecha de su emisión </span>
                </div>
                <div class="col-4 text-center">
                  <p-inputSwitch name="ministroPresidente" id="ministroPresidente"
                    [(ngModel)]="!viewModulos[modules.acuerdos].ministroPresidente"
                    (onChange)="viewModulos[modules.acuerdos].ministroPresidente=$event.checked">
                  </p-inputSwitch>
                </div>
              </div>
              <div class="row m-0">
                <div class="col-8"><span> Votación del acuerdo a favor </span></div>
                <div class="col-4 text-center">
                  <p-inputSwitch name="votacionFavor" id="votacionFavor"
                    [(ngModel)]="!viewModulos[modules.acuerdos].votacionFavor"
                    (onChange)="viewModulos[modules.acuerdos].votacionFavor=$event.checked">
                  </p-inputSwitch>
                </div>
              </div>
              <div class="row m-0">
                <div class="col-8"><span> Votación del acuerdo en contra </span></div>
                <div class="col-4 text-center">
                  <p-inputSwitch name="votacionContra" id="votacionContra"
                    [(ngModel)]="!viewModulos[modules.acuerdos].votacionContra"
                    (onChange)="viewModulos[modules.acuerdos].votacionContra=$event.checked">
                  </p-inputSwitch>
                </div>
              </div>
              <div class="row m-0">
                <div class="col-8"><span> Votación </span></div>
                <div class="col-4 text-center">
                  <p-inputSwitch name="votacion" id="votacion" [(ngModel)]="!viewModulos[modules.acuerdos].votacion"
                    (onChange)="viewModulos[modules.acuerdos].votacion=$event.checked">
                  </p-inputSwitch>
                </div>
              </div>
            </div>
            <hr>
            <div class="row m-0">
              <div class="col-8">Solo visualizar campos</div>
              <div class="col-4 text-center">
                <p-inputSwitch name="readOnly" id="readOnly" [(ngModel)]="viewModulos[modules.acuerdos].readOnly"
                  (onChange)="viewModulos[modules.acuerdos].readOnly=$event.checked">
                </p-inputSwitch>
              </div>
            </div>
          </div>
        </div>
        <div class="col-6 order-5" *ngIf="modulos.includes(modules.admin)">
          <span class="etiq">Panel administrador</span>
          <div class="campos-list">
            <div class="campos">
              <p class="pl-3 pt-2">No hay permisos para este módulo</p>
            </div>
            <hr>
            <div class="row m-0">
              <div class="col-8">Solo visualizar campos</div>
              <div class="col-4 text-center">
                <p-inputSwitch name="readOnly" id="readOnly" [(ngModel)]="viewModulos[modules.admin].readOnly"
                  (onChange)="viewModulos[modules.admin].readOnly=$event.checked">
                </p-inputSwitch>
              </div>
            </div>
          </div>
        </div>
        <div class="col-6 order-6" *ngIf="modulos.includes(modules.sentencia)">
          <span class="etiq">Sentencias</span>
          <div class="campos-list">
            <div class="campos">
              <p class="pl-3 pt-2">No hay permisos para este módulo</p>
            </div>
            <hr>
            <div class="row m-0">
              <div class="col-8">Solo visualizar campos</div>
              <div class="col-4 text-center">
                <p-inputSwitch name="readOnly" id="readOnly" [(ngModel)]="viewModulos[modules.sentencia].readOnly"
                  (onChange)="viewModulos[modules.sentencia].readOnly=$event.checked">
                </p-inputSwitch>
              </div>
            </div>
          </div>
        </div>
        <div class="col-6 order-6" *ngIf="modulos.includes(modules.catalogo)">
          <span class="etiq">Catálogos</span>
          <div class="campos-list">
            <div class="campos">
              <p class="pl-3 pt-2">No hay permisos para este módulo</p>
            </div>
            <hr>
            <div class="row m-0">
              <div class="col-8">Solo visualizar campos</div>
              <div class="col-4 text-center">
                <p-inputSwitch name="readOnly" id="readOnly" [(ngModel)]="viewModulos[modules.catalogo].readOnly"
                  (onChange)="viewModulos[modules.catalogo].readOnly=$event.checked">
                </p-inputSwitch>
              </div>
            </div>
          </div>
        </div>
        <div class="col-6 order-6" *ngIf="modulos.includes(modules.seguimiento)">
          <span class="etiq">Seguimiento</span>
          <div class="campos-list">
            <div class="campos">
              <p class="pl-3 pt-2">No hay permisos para este módulo</p>
            </div>
            <hr>
            <div class="row m-0">
              <div class="col-8">Solo visualizar campos</div>
              <div class="col-4 text-center">
                <p-inputSwitch name="readOnly" id="readOnly" [(ngModel)]="viewModulos[modules.seguimiento].readOnly"
                  (onChange)="viewModulos[modules.seguimiento].readOnly=$event.checked">
                </p-inputSwitch>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </form>
  <div class="d-flex justify-content-between mt-2">
    <a routerLink="../../">
      <p-button styleClass="p-button-sm back" label="Volver"></p-button>
    </a>
    <p-button styleClass="p-button-sm" icon="pi pi-book" label="Guardar cambios" (onClick)="guardarCambios()">
    </p-button>
  </div>
</div>
<p-toast position="bottom-right" key="ks"></p-toast>
